/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { bootstrapApplication } from "@angular/platform-browser";
import { appConfig } from "./app/app.config.js";
import { App } from "./app/app.js";

bootstrapApplication(App, appConfig).
  // eslint-disable-next-line unicorn/prefer-top-level-await -- Angular wonky
  catch((error: unknown) => {
    console.error(error);
  });
