/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { PrismaClient } from "@prisma/client";

class Database {
  private readonly instance: PrismaClient;

  public constructor() {
    this.instance = new PrismaClient();
    void this.instance.$connect();
  }

  public getInstance(): PrismaClient {
    return this.instance;
  }
}

const database = new Database();

export { database };
